/*------------------------------------------------------------------------------------------------------

# GENERAL

------------------------------------------------------------------------------------------------------*/

.ude-sub-menu,
.ude-mobile-menu {
   background: #fff;
}

.ude-mobile-menu__top-links,
.ude-mobile-menu__list,
.ude-sub-menu__list {
   margin: 0;
    padding: 0;
    list-style: none;
    
}

.ude-mobile-menu__item,
.ude-sub-menu__item {
    width: 100%;
    color: #3a3a3a;
    transition: all .3s ease;
    margin: 0;
    border-left: 0;
    border-right: 0;
    border-bottom: 1px solid rgb(214, 231, 242);
    height: 100%;
}

.ude-mobile-menu__item-wrapper,
.ude-sub-menu__item-wrapper {
    position: relative;
    display: block;
}

.ude-mobile-menu__item a,
.ude-mobile-menu__no-link,
.ude-sub-menu__no-link,
.ude-sub-menu__item a {
    display: block;
    line-height: 1.4;
     font-size: 1rem;
    height: 100%;
     padding: 1rem 3.5rem 1rem 1rem;
     color: #3a3a3a;
     text-decoration: none;
  }

.ude-mobile-menu__item:last-child,
.ude-sub-menu__item:last-child {
    border-bottom: none!important;
}
  
.ude-mobile-menu__item:first-child,
.ude-sub-menu__item:first-child {
    border-top: 1px solid rgb(214, 231, 242);
}

.ude-mobile-menu__toggle,
.ude-sub-menu__toggle {
    border: 0;
    background:transparent;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    box-sizing: border-box;
    padding: 1rem;
    cursor: pointer;
 }

 .ude-mobile-menu__toggle-icon,
 .ude-sub-menu__toggle-icon{
    width: 1.5rem;
    margin: 0!important;
 }


 .ude-mobile-menu li ul li,
 .ude-sub-menu li ul li {
   border-color: rgb(161, 218, 248)!important;
 }

 .ude-mobile-menu li ul li .ude-mobile-menu__item-wrapper a,
 .ude-mobile-menu li ul li .ude-mobile-menu__item-wrapper span,
  .ude-sub-menu li ul li .ude-sub-menu__item-wrapper a,
 .ude-sub-menu li ul li .ude-sub-menu__item-wrapper span{
    padding-left: 2rem;
    font-weight: 400;
    background-color: #f2f7fa;
 }
 
 .ude-mobile-menu li ul li ul li .ude-mobile-menu__item-wrapper a,
 .ude-mobile-menu li ul li ul li .ude-mobile-menu__item-wrapper span,
  .ude-sub-menu li ul li ul li .ude-sub-menu__item-wrapper a,
 .ude-sub-menu li ul li ul li .ude-sub-menu__item-wrapper span{
    padding-left: 3rem;
    background-color: #fff;
 }
 
 .ude-mobile-menu li ul li ul li ul  .ude-mobile-menu__item-wrapper a,
 .ude-mobile-menu  li ul li ul li ul  .ude-mobile-menu__item-wrapper span,
  .ude-sub-menu li ul li ul li ul .ude-sub-menu__item-wrapper a,
 .ude-sub-menu  li ul li ul li ul .ude-sub-menu__item-wrapper span{
    padding-left: 4rem;
    background-color: #f2f7fa;
    /*   #E7EFF5 */
 }
 
 .ude-mobile-menu li ul li ul li ul li ul  .ude-mobile-menu__item-wrapper a,
 .ude-mobile-menu li ul li ul li ul li ul  .ude-mobile-menu__item-wrapper span,
 .ude-sub-menu li ul li ul li ul li ul .ude-sub-menu__item-wrapper a,
 .ude-sub-menu li ul li ul li ul li ul .ude-sub-menu__item-wrapper span{
    padding-left: 5rem;
    background: #fff;
 }
 
 /*   Active states    */
 .ude-mobile-menu__item  .ude-mobile-menu__toggle-icon--closed,
 .ude-mobile-menu__item--active > span >  .ude-mobile-menu__toggle--open >  .ude-mobile-menu__toggle-icon--opened, 
 .ude-sub-menu__item .ude-sub-menu__toggle-icon--closed,
 .ude-sub-menu__item--active > span > .ude-sub-menu__toggle--open > .ude-sub-menu__toggle-icon--opened{
   display: block;
 }

 .ude-mobile-menu__item--active > span >  .ude-mobile-menu__toggle--open >  .ude-mobile-menu__toggle-icon--closed,
 .ude-mobile-menu__item  .ude-mobile-menu__toggle-icon--opened,
 .ude-sub-menu__item--active > span > .ude-sub-menu__toggle--open > .ude-sub-menu__toggle-icon--closed,
 .ude-sub-menu__item .ude-sub-menu__toggle-icon--opened{
   display: none;
}

.ude-mobile-menu__item--active > span > a,
.ude-sub-menu__item--active > span > a {
   background-color: rgb(214, 231, 242)!important;
}

.ude-mobile-menu__item--current > span > a,
.ude-sub-menu__item--current > span > a{
    border-left: 5px solid rgb(0, 101, 166);
}

.ude-mobile-menu__item a:hover,
.ude-sub-menu__item a:hover {
   background-color: rgb(214, 231, 242)!important;
    text-decoration: underline;
 }

/*------------------------------------------------------------------------------------------------------

# LEFT MENU

------------------------------------------------------------------------------------------------------*/

.ude-sub-menu > ul {
    border: 1px solid rgb(214, 231, 242);
}


/*------------------------------------------------------------------------------------------------------

# Mobile

------------------------------------------------------------------------------------------------------*/

.ude-mobile-menu__top-links {
   border-top:3px solid rgb(0, 101, 166);
   border-bottom:3px solid rgb(0, 101, 166);
}


.ude-mobile-menu__top-item a {
   padding: 1rem;
   color: rgb(0, 101 166);
   display: block;
   text-decoration: none;
}

.ude-mobile-menu__top-item a:hover {
   text-decoration: underline;
}
